/**
 * @license
 * Copyright 2025 Google LLC
 * SPDX-License-Identifier: Apache-2.0
 */
export const DEFAULT_TOKEN_LIMIT = 1_048_576;
export function tokenLimit(model) {
    // Add other models as they become relevant or if specified by config
    // Pulled from https://ai.google.dev/gemini-api/docs/models
    switch (model) {
        case 'gemini-1.5-pro':
            return 2_097_152;
        case 'gemini-1.5-flash':
        case 'gemini-2.5-pro-preview-05-06':
        case 'gemini-2.5-pro-preview-06-05':
        case 'gemini-2.5-pro':
        case 'gemini-2.5-flash-preview-05-20':
        case 'gemini-2.5-flash':
        case 'gemini-2.0-flash':
            return 1_048_576;
        case 'gemini-2.0-flash-preview-image-generation':
            return 32_000;
        default:
            return DEFAULT_TOKEN_LIMIT;
    }
}
//# sourceMappingURL=tokenLimits.js.map